## libxmlezout 1.06.1

=== debian/changelog ===
libxmlezout (1.06.1-7) unstable; urgency=medium

  * Bump ALI and SO version
  * Lintian cleaning
    debian/copyright needed some update

 -- Xavier Grave <xavier.grave@csnsm.in2p3.fr>  Thu, 02 Oct 2014 11:26:20 +0200

libxmlezout (1.06.1-6) unstable; urgency=low

  * Adapt to dh-ada-library
  * compile with gnat-4.9, depend on gnat
  * Lintian cleaning
    => added symbols file
    => document patches

 -- Xavier Grave <xavier.grave@csnsm.in2p3.fr>  Wed, 14 May 2014 09:50:05 +0200

libxmlezout (1.06.1-5) unstable; urgency=low

  * make get-orig-source target comply with debian policy
    - follow Nicolas' example in music123
  * create get-pkg-source as a facility to the maintainer before first upload
  * fix also a lintian warning
    - syntax-error-in-dep5-copyright
  * take CFLAGS and LDFLAGS from dpkg-dev
    - adapt CFLAGS to ADAFLAGS by removing Wformat stuff

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Mon, 31 Oct 2011 13:35:57 +0000

libxmlezout (1.06.1-4) unstable; urgency=low

  * Move xml_ez_out.7 manpage to dev package
    - in order to have the dev package compatible with libxmlezout0
      the diversion is moved from libxmlezout1 to libxmlezout2-dev

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Sun, 25 Sep 2011 20:29:11 +0200

libxmlezout (1.06.1-3) unstable; urgency=low

  * Add diversion in libxmlezout1
    for /usr/share/man/man7/xml_ez_out.7.gz
    Closes: #642074
  * Add Conflicts and Replace section for libxmlezout2-dev
    in order to avoid conflicts with libxmlezout1-dev

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Sun, 25 Sep 2011 02:24:19 +0200

libxmlezout (1.06.1-2) unstable; urgency=low

  * Lintian cleaning
    - add build-arch and build-indep target in debian/rules
    - Go to 3.9.2 standards version

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Sat, 17 Sep 2011 22:53:36 +0200

libxmlezout (1.06.1-1) unstable; urgency=low

  * Upstream changes :
    mainly in makefiles
    fix a bug found using gnat pro :
      discriminants of tagged type cannot have defaults
  * Fix no conformant control file with Debian Ada Policy
    dev package dependence on gnat
  * Take new gcc-multilib scheme into account
    - put libs in /usr/lib/$(DEB_HOST_MULTIHARCH)
    - modify control accordingly

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Mon, 12 Sep 2011 13:03:39 +0200

libxmlezout (1.06-2) unstable; urgency=low

  * Lintian cleaning (warning and info).
      I: binary-control-field-duplicates-source
      I: duplicate-short-description
      W: debhelper-but-no-misc-depends
      I: quilt-patch-missing-description
  * Architecture support changes to any.  Closes: #568448.

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Fri,  5 Feb 2010 13:47:00 +0100

libxmlezout (1.06-1) unstable; urgency=low

  * First upstream version.  Closes: #562088.

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Wed, 23 Dec 2009 12:25:00 +0100

Local variables:
left-margin: 2
End:
