=== debian/control ===
Source: libxmlezout
Priority: optional
Section: libs
Maintainer: Xavier Grave <xavier.grave@csnsm.in2p3.fr>
Build-Depends: dpkg-dev (>= 1.17.13), debhelper (>= 9), gnat,
 dh-ada-library
Standards-Version: 3.9.5
Homepage: http://www.mckae.com/xmlEz.html

Package: libxmlezout3-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Conflicts: libxmlezout1-dev, libxmlezout2-dev
Replaces: libxmlezout1-dev, libxmlezout2-dev
Suggests: libxmlezout-dbg
Description: Easy-to-use library for emitting XML from Ada programs, dev files
 XML EZ Out is a small set of packages intended to aid the creation of
 XML-formatted output from within Ada programs. It basically wraps the tags and
 data provided to it with XML syntax and writes them to a user-supplied medium.
 .
 This medium can be any sort of writable entity, such as a file, a
 memory buffer, or even a communications link, such as a socket. The
 only functionality required of the medium is that it supply a
 meaningful "Put" (for writing a string) and "New_Line" procedure.
 .
 This package contains file needed to develop applications with XML EZ OUT.

Package: libxmlezout2
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Easy-to-use library for emitting XML from Ada programs, runtime
 XML EZ Out is a small set of packages intended to aid the creation of
 XML-formatted output from within Ada programs. It basically wraps the tags and
 data provided to it with XML syntax and writes them to a user-supplied medium.
 .
 This medium can be any sort of writable entity, such as a file, a
 memory buffer, or even a communications link, such as a socket. The
 only functionality required of the medium is that it supply a
 meaningful "Put" (for writing a string) and "New_Line" procedure.
 .
 This is the runtime library for XML EZ OUT.

Package: libxmlezout-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${ada:Depends}, ${misc:Depends}
Recommends: ${ada:Recommends}
Suggests: ${ada:Suggests}
Description: Easy-to-use library for emitting XML from Ada programs, dbg symbols
 XML EZ Out is a small set of packages intended to aid the creation of
 XML-formatted output from within Ada programs. It basically wraps the tags and
 data provided to it with XML syntax and writes them to a user-supplied medium.
 .
 This medium can be any sort of writable entity, such as a file, a
 memory buffer, or even a communications link, such as a socket. The
 only functionality required of the medium is that it supply a
 meaningful "Put" (for writing a string) and "New_Line" procedure.
 .
 This is the library containing debugging symbols for XML EZ OUT.
