=== debian/watch ===
version=3
http://www.mckae.com/xml_ezout/xml_ez_out_(.+).tgz
