## libxmlezout 1.06.2

=== debian/changelog ===
libxmlezout (1.06.2-7) unstable; urgency=medium

  * d/copyright: fix syntax errors spotted by lintian

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 28 May 2022 18:30:09 +0200

libxmlezout (1.06.2-6) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition
  * Adopt the package. Closes: #834507.
  * Sort build dependencies.
  * Rename license according to recent guidelines.
  * Remove obsolete or redundant comments.
  * Configure branch names for git-buildpackage
  * Require dh-ada-library 7.5, which generates ada:Depends differently

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 18:36:14 +0200

libxmlezout (1.06.2-5) experimental; urgency=medium

  * Build with gnat11 in experimental. Rename -dev package accordingly.
  * Build-Depends: drop obsolete version restriction.
  * Use unversioned debian_packaging.mk from gnat package.
  * Pass build flags via the environment.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 20 Mar 2022 21:23:51 +0000

libxmlezout (1.06.2-4) unstable; urgency=medium

  * Reupload to unstable for the transition to gnat-10.
  * Add myself to Uploaders.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 12 Dec 2020 14:49:20 +0100

libxmlezout (1.06.2-3) experimental; urgency=medium

  * Build with gnat-10. Rename lib and -dev package accordingly.
  * Debhelper 13.
  * Drop obsolete Pre-Depends and unused variable in autopkgtest.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 23 May 2020 00:06:23 +0000

libxmlezout (1.06.2-2) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Standards-Version: 4.5.0.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 17:00:47 +0100

libxmlezout (1.06.2-1) experimental; urgency=medium

  * New upstream release. No ALI/SO bump is necessary.
  * Use dh-sequence-* syntax for dh-ada-library.
  * Update VCS fields to salsa.debian.org.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 02 Jan 2020 14:49:25 +0100

libxmlezout (1.06.1-13) experimental; urgency=medium

  * Rebuild because of gnat-9 transition. Rename packages accordingly.
  * Remove references to dead upstream website.
  * Debhelper 12. Standards-Version 4.4.1.
  * Ask for linker warnings, remove duplicate build flags.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 09 Oct 2019 14:06:40 +0200

libxmlezout (1.06.1-12) unstable; urgency=medium

  * Reupload to unstable.
  * Standards-Version: 4.1.5. Rules-Requires-Root: no.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 27 Jul 2018 16:55:00 +0200

libxmlezout (1.06.1-11) experimental; urgency=medium

  * Rebuild with gnat-8.
    Rename shared library and -dev package per Debian Ada policy.
  * Debhelper 11.
  * Drop obsolete version restriction for dpkg-dev.
  * Standards-Version: 4.1.4. Drop get-orig-source target.
  * Update URI syntax of Vcs-Mtn.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 08 May 2018 10:05:16 +0200

libxmlezout (1.06.1-10) unstable; urgency=medium

  * Upload to unstable.
  * Standards-Version: 4.0.1 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 09 Aug 2017 21:16:39 +0200

libxmlezout (1.06.1-9) experimental; urgency=medium

  * Build with gnat-7. Rename runtime and -dev package per Ada policy.
    gnat-7 now deals with SOURCE_DATE_EPOCH by itself.
  * Patch upstream build system instead of duplicating it.
  * Debhelper 10.
  * Standards-Version 4.0.0. HTTPS copyright format URL.
  * Drop symbols file.
  * Enable all hardening flags.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 12 Jul 2017 00:06:50 +0200

libxmlezout (1.06.1-8) unstable; urgency=medium

  * Build-Depend: gnat, gnat-6 accordingly to Ada policy.
    Drop Conflict/Replace relations implied by Dependency on gnat-6.
    Switch to gprbuild as gnatmake is dropping project support.
    Accept versioned debian_packaging.mk path.
  * Add myself to Uploaders.
  * Switch from manual -dbg packages to automatic -dbgsym packages.
  * Drop diversion for manpage, libxmlezout0 is not in oldstable anymore.
  * Fix URL in watch file and switch to version 4.
  * Spring cleaning in rules file.
  * Enable all hardening flags, but PIE.
  * Add basic run time test.
  * Ensure deterministic timestamps in ALI files for reproducible builds.
  * Add VCS-*.
  * Put linker options like --as-needed before -l options.
  * Drop obsolete README.source README.Debian xmlezout.gpr.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 16 Aug 2016 16:06:09 +0200

libxmlezout (1.06.1-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't use a symbols file, mismatches on mips* and ppc64*. The soversion
    gets bumped with every gnat release anyway.

 -- Matthias Klose <doko@debian.org>  Sat, 13 Aug 2016 12:12:33 +0200

libxmlezout (1.06.1-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build using gnat-6 (Radovan Birdic). Closes: #828847.
  * Bump ALI and SO version
  * Update symbols file.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Aug 2016 14:39:20 +0200
