=== debian/control ===
Source: libxmlezout
Priority: optional
Section: libs
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Uploaders:
 Ludovic Brenta <lbrenta@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-ada-library (>= 7.5),
 dh-sequence-ada-library,
 gnat,
 gnat-11,
 gprbuild,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/libxmlezout
Vcs-Git: https://salsa.debian.org/debian/libxmlezout.git

Package: libxmlezout9-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: Easy-to-use library for emitting XML from Ada programs, dev files
 XML EZ Out is a small set of packages intended to aid the creation of
 XML-formatted output from within Ada programs. It basically wraps the tags and
 data provided to it with XML syntax and writes them to a user-supplied medium.
 .
 This medium can be any sort of writable entity, such as a file, a
 memory buffer, or even a communications link, such as a socket. The
 only functionality required of the medium is that it supply a
 meaningful "Put" (for writing a string) and "New_Line" procedure.
 .
 This package contains file needed to develop applications with XML EZ OUT.

Package: libxmlezout7
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Easy-to-use library for emitting XML from Ada programs, runtime
 XML EZ Out is a small set of packages intended to aid the creation of
 XML-formatted output from within Ada programs. It basically wraps the tags and
 data provided to it with XML syntax and writes them to a user-supplied medium.
 .
 This medium can be any sort of writable entity, such as a file, a
 memory buffer, or even a communications link, such as a socket. The
 only functionality required of the medium is that it supply a
 meaningful "Put" (for writing a string) and "New_Line" procedure.
 .
 This is the runtime library for XML EZ OUT.
