=== debian/rules ===
#!/usr/bin/make -f

soversion != \
  sed -n '/^Package: libxmlezout\([0-9.]\+\)$$/{s//\1/p;q}' debian/control

DPKG_EXPORT_BUILDFLAGS := 1
DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildopts.mk
include /usr/share/ada/debian_packaging.mk

%:
	dh $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
	dh_auto_build -- \
	  SONAME=libxmlezout.so.$(soversion) \
	  BUILDER_OPTIONS='$(GPRBUILDFLAGS)'

.PHONY: override_dh_auto_install
